hu.akarnokd.rxjava2.util

## Enum AlwaysFalseBooleanSupplier

- java.lang.Object
- - java.lang.Enum<AlwaysFalseBooleanSupplier>
  - - hu.akarnokd.rxjava2.util.AlwaysFalseBooleanSupplier

All Implemented Interfaces:
  io.reactivex.functions.BooleanSupplier, java.io.Serializable, java.lang.Comparable<AlwaysFalseBooleanSupplier>

    public enum AlwaysFalseBooleanSupplier
    extends java.lang.Enum<AlwaysFalseBooleanSupplier>
    implements io.reactivex.functions.BooleanSupplier

A `BooleanSupplier` implementation that is always false.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `getAsBoolean()`
`static AlwaysFalseBooleanSupplier` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AlwaysFalseBooleanSupplier[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSTANCE

    public static final AlwaysFalseBooleanSupplier INSTANCE

### Method Detail

#### values

    public static AlwaysFalseBooleanSupplier[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AlwaysFalseBooleanSupplier c : AlwaysFalseBooleanSupplier.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AlwaysFalseBooleanSupplier valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getAsBoolean

    public boolean getAsBoolean()
                         throws java.lang.Exception

Specified by:
  `getAsBoolean` in interface `io.reactivex.functions.BooleanSupplier`
Throws:
  `java.lang.Exception`